Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 255456 - dev-lang/mono-2.x fails with ERROR:../../mono/io-layer/handles-private.h:160:_wapi_handle_set_signal_state: assertion failed: (thr_ret == 0)
Summary: dev-lang/mono-2.x fails with ERROR:../../mono/io-layer/handles-private.h:160:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: dotnet
URL: https://bugzilla.novell.com/show_bug....
Whiteboard:
Keywords:
: 263139 (view as bug list)
Depends on:
Blocks: 256261
  Show dependency tree
 
Reported: 2009-01-19 01:46 UTC by Matt Zyzik
Modified: 2009-08-23 00:56 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build-log + emerge --info (mono-2.2_build.log.lzma,18.64 KB, application/x-lzma)
2009-01-19 15:43 UTC, Helmut Jarausch
Details
build log (build.log,380.09 KB, text/plain)
2009-01-19 22:27 UTC, Robert Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Zyzik 2009-01-19 01:46:58 UTC
When I have "PORTAGE_NICENESS=19" in my make.conf, mono will not compile. The compilation will crash with the following error: "_wapi_handle_set_signal_state: assertion failed: (thr_ret == 0)".

When taking out the "niceness" variable, mono compiles fine.

Reproducible: Always

Steps to Reproduce:
emerge mono and use the aforementioned "niceness" variable.
Actual Results:  
The aforementioned assertion error shows up.

Expected Results:  
Successful compilation.

I had this occur with mono-2.0 and now mono-2.2
Comment 1 Helmut Jarausch 2009-01-19 09:29:53 UTC
mono-2.2 fails here to build without PORTAGE_NICENESS being set.
ERROR:../../mono/io-layer/handles-private.h:160:_wapi_handle_set_signal_state: assertion failed: (thr_ret == 0)
/bin/sh: line 1: 13580 Aborted                 MONO_PATH="../../class/lib/net_2_0:$MONO_PATH" /var/tmp/portage/dev-lang/mono-2.2/work/mono-2.2/runtime/mono-wrapper ../../mcs/gmcs.exe /codepage:65001 -optimize -d:NET_1_1 -d:NET_2_0 -debug /noconfig -r:mscorlib.dll -r:System.dll -r:System.Xml.dll -r:System.Web.dll -r:ICSharpCode.SharpZipLib.dll -r:Mono.Security.dll -target:library -out:../../class/lib/net_2_0/Mono.Http.dll @Mono.Http.dll.sources
make[8]: *** [../../class/lib/net_2_0/Mono.Http.dll] Error 134
make[8]: Leaving directory `/var/tmp/portage/dev-lang/mono-2.2/work/mono-2.2/mcs/class/Mono.Http'
Comment 2 Helmut Jarausch 2009-01-19 10:40:18 UTC
I've noticed the problem occurs on a multi-processor machine only.

Setting (temporarily)  MAKEOPT=-j1 is workaround here.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-19 10:55:59 UTC
(In reply to comment #2)
> I've noticed the problem occurs on a multi-processor machine only.

Multi-cpu or multi-core?

> Setting (temporarily)  MAKEOPT=-j1 is workaround here.

The ebuild already does that for you, so that's not the problem.
I'll need som emerge --info and build.log files to figure this one out.
Comment 4 Matt Zyzik 2009-01-19 13:42:25 UTC
> > I've noticed the problem occurs on a multi-processor machine only.
> 
> Multi-cpu or multi-core?

I am on a uni-processor (single core) machine.

> > Setting (temporarily)  MAKEOPT=-j1 is workaround here.

Doesn't work for me.
Comment 5 Helmut Jarausch 2009-01-19 15:43:09 UTC
Created attachment 178993 [details]
build-log + emerge --info

The machine has to separate CPUs.

emerge --info
Portage 2.2_rc23 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r1, 2.6.26-gentoo-r2 i686)
=================================================================
System uname: Linux-2.6.26-gentoo-r2-i686-Intel-R-_Pentium-R-_III_CPU_family_1266MHz-with-glibc2.0
Timestamp of tree: Mon, 19 Jan 2009 06:45:02 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo "
LANG="en_US.iso88591"
LDFLAGS="-Wl,-O1"
LINGUAS="en de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/java-overlay"
SYNC="rsync://rsync.informatik.RWTH-Aachen.de/gentoo-portage"
USE="X acl avahi berkdb bitmap-fonts bzip2 cairo cdr cli cracklib crypt cups dbus doc dri dvd fortran gdbm gnome gpm gtk gtk2 iconv ipv6 isdnlog jpeg kde midi mmx mudflap ncurses nls nptl nptlonly opengl openmp pam pcre pdf perl png pppd python qt qt4 readline reflection session spl sqlite sqlite3 sse ssl svg sysfs tcl tcpd tetex tiff tk truetype truetype-fonts type1-fonts unicode x86 xorg xulrunner zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en de" USERLAND="GNU" VIDEO_CARDS="nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-19 17:05:12 UTC
Only a guess, but does this fix it (remember the parentheses):
(unset DISPLAY && emerge -1 mono)
?
Comment 7 Robert Förster 2009-01-19 17:35:35 UTC
nope, still fails here
Comment 8 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-19 22:20:15 UTC
(In reply to comment #7)
> nope, still fails here
> 

More build.logs and emerge --infos please. We'll need a description of what kind of machines and where it fails.
Comment 9 Robert Förster 2009-01-19 22:27:42 UTC
Created attachment 179044 [details]
build log

Portage 2.2_rc23 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.9_p20081201-r1, 2.6.28-gentoo-Beatrix x86_64)                                                                                            
=================================================================                                        
System uname: Linux-2.6.28-gentoo-Beatrix-x86_64-Intel-R-_Pentium-R-_D_CPU_2.80GHz-with-glibc2.2.5       
Timestamp of tree: Mon, 19 Jan 2009 20:15:01 +0000                                                       
app-shells/bash:     3.2_p48                                                                             
dev-java/java-config: 1.3.7-r1, 2.1.6-r1                                                                 
dev-lang/python:     2.5.2-r8                                                                            
dev-util/cmake:      2.6.2-r1                                                                            
sys-apps/baselayout: 2.0.0                                                                               
sys-apps/openrc:     0.4.2                                                                               
sys-apps/sandbox:    1.3.2                                                                               
sys-devel/autoconf:  2.13, 2.63                                                                          
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2                                                     
sys-devel/binutils:  2.19                                                                                
sys-devel/gcc-config: 1.4.0-r4                                                                           
sys-devel/libtool:   2.2.6a                                                                              
virtual/os-headers:  2.6.28-r1                                                                           
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                           
CBUILD="x86_64-pc-linux-gnu"                                                                             
CFLAGS="-march=native -O2 -pipe"                                                                         
CHOST="x86_64-pc-linux-gnu"                                                                              
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.2/env /usr/kde/4.2/share/config /usr/kde/4.2/shutdown /usr/share/config"                                         
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                          
CXXFLAGS="-march=native -O2 -pipe"                                                                       
DISTDIR="/usr/portage/distfiles"                                                                         
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                                                                      
GENTOO_MIRRORS="http://distfiles.gentoo.org/ http://gentoo.osuosl.org/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.gentoo.mesh-solutions.com/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/ http://gentoo.mneisen.org/ http://de-mirror.org/distro/gentoo/ ftp://de-mirror.org/distro/gentoo/"
LDFLAGS="-Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/home"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/mozilla /usr/local/portage/layman/kde-testing /usr/local/portage/layman/toolchain /usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 avahi bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif glitz gnome gpm gstreamer gtk hal iconv isdnlog ithreads jpeg kde kdehiddenvisibility kdeprefix libnotify mad midi mikmod mmx mp3 mpeg mudflap multilib mysql ncurses nls nptl nptlonly ogg opengl openmp oss pam pcre pdf perlpng ppds pppd pulseaudio python qt3 qt3support qt4 quicktime readline reflection sdl session speex spellspl sse sse2 ssl startup-notification svg symlink sysfs tcpd tiff truetype unicode usb vorbis xine xml xorg xulrunner xv zlib" ALSA_CARDS="emu10k1 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 10 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-19 22:54:01 UTC
(In reply to comment #9)
w.r.t.https://bugs.launchpad.net/ubuntu/+source/f-spot/+bug/297406
and w.r.t. https://bugzilla.novell.com/show_bug.cgi?id=425647
(That change is in mono-2.2)

Which video driver are you using?
Are you compiling mono in screen? Outside X?
Are you using compiz?

I know these questions may seem a little odd, but it seems resgen touches our X servers when compiling mono and that this sometimes fails, so I want to have as much info as possible.
Comment 11 Robert Förster 2009-01-19 23:01:56 UTC
(In reply to comment #10)
> Which video driver are you using?
x11-drivers/nvidia-drivers-180.22
> Are you compiling mono in screen? Outside X?
im compiling in a kde console
> Are you using compiz?
no
Comment 12 Matt Zyzik 2009-01-20 05:38:10 UTC
(In reply to comment #10)
> Which video driver are you using?
Nvidia 96.43.07
> Are you compiling mono in screen? Outside X?
Inside urxvt in fluxbox
> Are you using compiz?
No

Here is emerge --info (uni-processor pentium 4):
Portage 2.1.6.6 (default/linux/x86/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.25.10 i686)
=================================================================
System uname: Linux-2.6.25.10-i686-Intel-R-_Pentium-R-_4_CPU_1400MHz-with-glibc2.0
Timestamp of tree: Mon, 19 Jan 2009 13:30:01 +0000
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.1
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.6.3, 1.7.9, 1.8.5-r2, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium4 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://gentoo.mirrors.pair.com http://gentoo.seren.com/gentoo ftp://ftp.gtlib.cc.gatech.edu/pub/gentoo http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acpi alsa bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox fortran gdbm gif glitz gnome gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde ldap libnotify mad midi mikmod mmx mp3 mpeg mudflap ncurses nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd theora tiff truetype unicode usb v4l v4l2 vim-pager vim-with-x vorbis win32codecs x264 x86 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="fuji ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 13 rinus 2009-01-20 21:22:08 UTC
Same error here..

> Which video driver are you using?
x11-drivers/nvidia-drivers-180.22.
> Are you compiling mono in screen? Outside X?
I am compiling within screen which in turn is run in a gnome-terminal.
> Are you using compiz?
no.

I could make it compile with:
# eselect opengl set xorg-x11
After compiling i turned it back to nvidia.

I hope this helps.

Portage 2.2_rc23 (default/linux/amd64/2008.0, gcc-4.2.4, glibc-2.9_p20081201-r1, 2.6.28-gentoo x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-x86_64-Intel-R-_Pentium-R-_D_CPU_3.00GHz-with-glibc2.2.5
Timestamp of tree: Tue, 20 Jan 2009 15:10:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=nocona -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="collision-protect distlocks fixpackages parallel-fetch preserve-libs preserved-rebuild protect-owned sandbox sfperms strict unemerge-orphans unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/vlegel /usr/local/portage/layman/sunrise /usr/local/portage/layman/secondlife /usr/local/portage/layman/trauma /usr/local/portage/layman/voip /usr/local/portage/layman/nouveau /usr/local/portage/layman/desktop-effects /usr/local/portage/layman/zugaina /usr/local/portage/layman/vmware /usr/local/portage"
SYNC="rsync://192.168.161.1/gentoo-portage"
USE="3dnow 3dnowext X X10 X509 Xaw3d a52 aac accessibility acl acpi additions ads aim alsa amd64 amr amrnb amrwb apache2 ares artworkextra asf async audiofile avahi ax25 bash-completion berkdb bluetooth bonjour bzip2 cairo calendar caps cddb cdparanoia cdr cgi clamav cli console cracklib crypt css cups curl curlwrappers dba dbus dga dirac directfb divx divx4linux dri dts dv dvb dvd dvdr dvdread eds emerald encode epiphany esd ethereal evo exif expat extrafilters fam fame fat fbcon ffmpeg fftw firefox flac flash foomaticdb freetts ftdi ftp fuse gadu gb gcrypt gd gdbm ggi gif gimp git glib glitz glut gmp gnome gnutls gpac gphoto2 gpm gps groupwise gsm gstreamer gtk gtkhtml h323 hal hfs hpn ical iconv icq id3tag idn ieee1394 imagemagick imap imlib insecure-drivers ipv6 iscsi isdnlog jabber jack java java6 javascript jce jfs joystick jpeg jpeg2k kde4 kerberos kodak krb4 kvm ladcca ladspa lame lcd lcms ldap libcaca libnotify libsamplerate lirc live lm_sensors logrotate logwatch lua lvm lzo mad matroska mbox mbrola mdnsresponder-compat meanwhile midi mikmod milter mime ming mjpeg mmap mmx mmxext mng modplug mono moonlight mozdevelop mp2 mp3 mp4 mp4live mpeg mplayer msn mudflap multilib musepack musicbrainz mysql mythtv nas ncurses nemesi netcdf network networkmanager nls nptl nptlonly nsplugin ntfs nuv nvidia offensive ogg openal openexr opengl openmp openvz osc oscar oss pam parted pcap pcmcia pcntl pcre pda pdf perl php pic png pnm portaudio posix postgres ppds pppd pulseaudio pvr python qemu qq qt3support qt4 quicktime radio radius rar rdesktop readline realmedia reflection reiser4 reiserfs rfkill rle rrdtool rt2400pci rt2500pci rt2500usb rt61pci rt73usb rtc rtsp samba sasl scanner schroedinger sdl serial server session sharedext sharedmem shorten shout silc skey slang slp smartcard smi sms sndfile snmp sockets speex spell spl sqlite sqlite3 sse sse2 ssl stream streamzap subversion svg swat sysfs syslog tcltk tcpd teletext theora tidy tiff timidity tokenizer tordns transcode truetype udev unicode upnp usb userlocales v4l v4l2 vboxbfe vcd vdr vfat vhosts videos visualization vorbis wddx wifi winbind wma wmf wmp wxwindows x264 xattr xcb xcomposite xext xface xfs xine xml xml2 xorg xosd xpm xrandr xscreensaver xsl xulrunner xv xvid xvmc yahoo yv12 zephyr zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="bcm3510 dibusb-usb1 dibusb-usb2 nxt2002 nxt200x or51132 or51211 sp8870 sp887x ttpci ttusb-dec usb-a800 usb-bluebird usb-dib0700 usb-dtt200u usb-umt usb-vp702x usb-vp7045 usb-wt220u tda10045 tda10046" ELIBC="glibc" FOO2ZJS_DEVICES="hp1018" INPUT_DEVICES="keyboard mouse evdev joystick wacom" KERNEL="linux" LCD_DEVICES="ncurses hd44780 md8800 text xosd" LIRC_DEVICES="devinput" MYTHTV_OPTS="sasc budgetcard" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa fbdev v4l"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-21 00:48:34 UTC
*** Bug 263139 has been marked as a duplicate of this bug. ***
Comment 15 Robert Förster 2009-03-31 11:58:19 UTC
mono 2.4 compiled without issues so the Summary isn't valid anymore, i think :)
Comment 16 Matt Zyzik 2009-04-05 21:39:07 UTC
(In reply to comment #15)
> mono 2.4 compiled without issues so the Summary isn't valid anymore, i think :)
> 

Yes, the bug appears to be gone.
Comment 17 pjv 2009-05-21 19:10:15 UTC
This is a laugh. I ran into #249711, after seeing mono-2.0.1-r1 compilation fail with all kinds of errors and sigsegv's I first tried to solve myself. I followed the mentioned solution of unmerging and reemerging, but I enabled a nice level because I was fed up with all the resources the compilation was claiming (especially the swapping because of the bug). Didn't work either. Now it seems this bug was the blocking factor there because of the renice. Thank god I'm good at searching bugs. But for those who aren't, maybe a warning can be set somewhere? Such as a mono upgrade guide?

Which video driver are you using?
nvidia-drivers-173.14.09
Are you compiling mono in screen? Outside X?
gnome-terminal
Are you using compiz?
I have it installed, and have the icon, but I'm not using it


Portage 2.1.6.11 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r8038 i686)
=================================================================
System uname: Linux-2.6.24-gentoo-r8038-i686-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-glibc2.0
Timestamp of tree: Thu, 21 May 2009 13:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.6-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -msse3"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/share/cursors/xfree/default/index.theme,/sbin/halt,/sbin/shutdown,/sbin/reboot,/usr/bin/emerge,/usr/share/xmodmap/xmodmap.us_intl-be-deadkeys,/usr/X11R6/lib/X11/xkb/symbols/pc/us-dutch,/usr/X11R6/lib/X11/xkb/rules/xfree86,/usr/X11R6/lib/X11/xkb/symbols.dir,/usr/X11R6/lib/X11/locale/iso8859-15/Compose,/usr/lib/X11/xkb/symbols/pc/us-dutch,/usr/lib/X11/xkb/rules/xfree86,/usr/lib/X11/xkb/symbols.dir,/usr/lib/X11/locale/iso8859-15/Compose,/usr/X11R6/lib/X11/locale/iso8859-15/Compose.xorg,/usr/lib/X11/locale/iso8859-15/Compose.xorg,/usr/X11R6/lib/X11/xkb/rules/xorg,/usr/lib/X11/xkb/rules/xorg,/usr/share/X11/xkb/symbols/pc/us-dutch,/usr/share/X11/xkb/rules/xfree86,/usr/share/X11/xkb/rules/xorg,/usr/share/X11/xkb/symbols.dir,/usr/share/X11/xkb/symbols/us-dutch,/usr/share/X11/locale/iso8859-15/Compose,/usr/lib/hal/scripts/linux/hal-system-power-suspend-linux,/usr/lib/hal/scripts/linux/hal-system-power-hibernate-linux /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned psyco sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://ftp.gentoo.skynet.be/pub/gentoo http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo http://ftp.gentoo.skynet.be/pub/gentoo ftp://sunsite.cnlab-switch.ch/mirror/gentoo http://gentoo.oregonstate.edu http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="nl_BE@euro"
LC_ALL="nl_BE@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="nl"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/voip /usr/portage/local/layman/royratcliffe /usr/portage/local/layman/java-overlay /usr/portage/local/layman/secondlife /usr/portage/local/layman/vuze-bin /usr/portage/local/layman/wschlich-testing /usr/portage/local/layman/desktop-effects /usr/portage/local/layman/suka /usr/portage/local/layman/ikelos /usr/local/portage /usr/portage/local/layman/liquidx /usr/portage/local/layman/dang/maintainer"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi acpi4linux aiglx alsa applet asf avahi bash-completion be beagle berkdb binary-drivers bluetooth bonobo branding browserplugin bzip2 cairo calendar caps cardbus ccache cdaudio cddb cdr cdrom cdrparanoia chipcard chm chroot cjk clamav clamd clanVoice cli codecs colordiff console cpudetection cracklib crypt css cups cursors custom-optimization daap dbus dga dhcp dia dict dirac directfb disk-partition distribution divx divx4linux djvu dmi dnd dri dv dvd dvdnav dvdr dvdread dvi edl eds enblend enca encode equalizer ethereal evo evolution exif faad faad2 fam fasttrack fat fbcon fbcondecor fbsplash ffmpeg firefox flac flash font-server fr freebox freetts freetype ftp gaim galago gamin gammu gatos gb gd gdbm gdl gdm gedit gif gimp gimpprint glibc-omitfp glitz gmail gmailtimestamps gmedia gnokii gnome gnome-keyring gnome-print gnutella gocr gphoto2 gpm gsm gstreamer gtk gtk2 gui gzip h323 hal hddtemp hibernate-script hou howl hpn ical icons iconv icq id3 id3tag ieee1394 imap inotify insecure-savers ipv6 ipw4965 irc iris irmc isdnlog java java5 javascript jfs jpeg jpeg2k jrtplib jsapi kdgraphics kerberos keyring kpathsea krb4 lame lcd ldap libburn libnotify libsexy live lm_sensors lzo lzw-tiff mad maps matroska maya-shaderlibrary mbox mbrola mcal md5sum mdb mdnsresponder-compat midi mime ming mmap mmkeys mmx mmx2 mmxext mng modplug monkey mono mozbranding mozp3p mozsvg mp3 mp3rtp mp4 mp4live mpeg mpeg2 mpeg4 mplayer msn mudflap muine mule music musicbrainz mythtv nautilus ncurses net network networkmanager nl nl_wolf nls nntp no-seamonkey nocd nograss nptl nptlonly nsplugin ntfs ntlm nvidia nvtv oav obex ofa office ogg openal openct opendoc openft opengl openmp p2p pam pcmcia pcre pcsc-lite pdf perl php pidgin plugin plugin-file plugin-python plugins pmu png pnp pop portaudio postscript ppds pppd prediction ps qt3support quicktime quotes rar rdesktop readline realmedia reflection regex reiser4 reiserfs remote rhythmbox rss rtc samba scanner schroedinger serpentine session seti sftp sharedmem sift skype smp sms snmp sound soundtouch speex spell spl srt sse sse-filters sse2 ssl ssse3 startup-notification streamripper subtitles subversion suid svg sysfs taglib tagwriting tcpd tesseract theora tiff timidity tools totem tpmtok tracker transcode trayicon truetype trusted unicode usagi usb userlocales utf8 v4l v4l2 vcd vditool videos visualization vorbis vorbis-psy wavpack webmin-minimal widescreen wifi win32codecs wma wmf wmp x264 x86 xanim xattr xchatdccserver xcomposite xen xext xfs xim xine xinerama xml xorg xosd xpm xscreensaver xulrunner xv xvid xvmc zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon directory ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="nl" NETBEANS_MODULES="groovy gsf j2ee ide java harness websvccommon nb profiler" USERLAND="GNU" VIDEO_CARDS="nvidia vga vesa fbdev nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 18 Peter Alfredsen (RETIRED) gentoo-dev 2009-08-23 00:56:24 UTC
Fixed in 2.4. Let's hope it doesn't resurface.